Child pages
  • Server Requirements

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

We ship all required dependencies using the XAMPPLite package other than Nmap itself. Please install Nmap from https://nmap.org/download.html

Prerequisites - Linux

The required packages should be installed by the Open-AudIT installer. The required packages are :

Debian < 9, Ubuntu < 16.04

Code Block
apt-get install mysql-server apache2 apache2-utils libapache2-mod-proxy-html libapache2-mod-php5 openssh-client php5 php5-ldap php5-mcrypt php5-mysql php5-snmp nmap zip wget curl sshpass screen smbclient logrotate libtime-modules-perl ipmitool rrdtool librrd4 libpng12-0

Debian 9+, Ubuntu 16.04+

Code Block
apt-get install mysql-server apache2 apache2-utils libapache2-mod-php openssh-client php php-ldap php-mbstring php-mcrypt php-mysql php-snmp php-simplexml nmap zip wget curl sshpass screen smbclient logrotate libtime-modules-perl ipmitool rrdtool librrd4 libpng12-0

Redhat, Centos < 7

Requires the optional Optional RPMs repo to be enabled.

Code Block
execPrint subscription-manager repos --enable rhel-6-server-optional-rpms
Code Block
yum install mysql mysql-server httpd php php-cli php-mysql php-ldap php-mbstring php-mcrypt php-process php-snmp php-xml nmap zip curl wget sshpass screen samba-client logrotate perl-Time-modules ipmitool rrdtool

...

Requires the optional Optional RPMs repo to be enabled.

Code Block
execPrint subscription-manager repos --enable=rhel-7-server-optional-rpms
Code Block
yum install mariadb-server httpd php php-cli php-mysql php-ldap php-mbstring php-mcrypt php-process php-snmp php-xml nmap zip curl wget sshpass screen samba-client logrotate perl-Time-modules ipmitool rrdtool libpng12

detailed on this page - How To Install or Upgrade Open-AudIT (Linux).